<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2021.1.1.1" date="2026-04-08 09:03:27"?>
<linkbase 
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
>
  <arcroleRef
    arcroleURI="https://xbrl.org/2023/arcrole/summation-item"
    xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"
    xlink:type="simple"
  />
  <roleRef
    roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000_extended"
    xlink:href="Legrand-2025-12-31.xsd#ias_1_role-210000_extended"
    xlink:type="simple"
  />
  <roleRef
    roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000_extended"
    xlink:href="Legrand-2025-12-31.xsd#ias_1_role-310000_extended"
    xlink:type="simple"
  />
  <roleRef
    roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000_extended"
    xlink:href="Legrand-2025-12-31.xsd#ias_1_role-420000_extended"
    xlink:type="simple"
  />
  <roleRef
    roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended"
    xlink:href="Legrand-2025-12-31.xsd#ias_1_role-610000_extended"
    xlink:type="simple"
  />
  <roleRef
    roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-510000_extended"
    xlink:href="Legrand-2025-12-31.xsd#ias_7_role-510000_extended"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.legrandgroup.com/role/StatementOfComprehensiveIncome"
    xlink:href="Legrand-2025-12-31.xsd#StatementOfComprehensiveIncome"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.legrandgroup.com/role/IncomeStatement"
    xlink:href="Legrand-2025-12-31.xsd#IncomeStatement"
    xlink:type="simple"
  />
  <calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000_extended" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_Assets_0" order="1.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_Assets_0" order="2.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_Equity_0" weight="1" priority="0" xlink:from="loc_ifrs-full_EquityAndLiabilities_0" order="3.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_EquityAndLiabilities_0" order="4.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_EquityAndLiabilities_0" order="5.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="6.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_Goodwill_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="7.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="8.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="9.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_DeferredTaxAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="10.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="12.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherNoncurrentAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="13.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_Inventories_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentAssets_0" order="14.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentTaxAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentAssets_0" order="15.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTradeReceivables_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTradeReceivables"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentTradeReceivables_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentAssets_0" order="16.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashAndCashEquivalents_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentAssets_0" order="18.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentAssets_0" order="19.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_0" weight="1" priority="0" xlink:from="loc_ifrs-full_Equity_0" order="20.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncontrollingInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncontrollingInterests_0" weight="1" priority="0" xlink:from="loc_ifrs-full_Equity_0" order="21.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" order="22.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherLongtermProvisions_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherLongtermProvisions"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherLongtermProvisions_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" order="23.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" order="24.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_LongtermBorrowings_0" weight="1" priority="0" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" order="25.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherPayablesToTradeSuppliers_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherPayablesToTradeSuppliers"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_TradeAndOtherPayablesToTradeSuppliers_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentLiabilities_0" order="26.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentTaxLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentLiabilities_0" order="27.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermBorrowings_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShorttermBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ShorttermBorrowings_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentLiabilities_0" order="29.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisions_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentProvisions"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentProvisions_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentLiabilities_0" order="30.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialLiabilities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCurrentFinancialLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CurrentLiabilities_0" order="31.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IssuedCapital_0" weight="1" priority="0" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_0" order="32.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_0" weight="1" priority="0" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_0" order="33.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_Reserves_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_Reserves"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_Reserves_0" weight="1" priority="0" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_0" order="34.0"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_RightofuseAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_RightofuseAssets" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets_0" order="35.0"/>
    <loc xlink:type="locator" xlink:label="AutresCreancesCourantes" xlink:href="Legrand-2025-12-31.xsd#Legrand_AutresCreancesCourantes"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="AutresCreancesCourantes" weight="1" xlink:from="loc_ifrs-full_CurrentAssets_0" order="36.0"/>
    <loc xlink:type="locator" xlink:label="AutresPassifsCourants" xlink:href="Legrand-2025-12-31.xsd#Legrand_AutresPassifsCourants"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="AutresPassifsCourants" weight="1" xlink:from="loc_ifrs-full_CurrentLiabilities_0" order="37.0"/>
  </calculationLink>
  <calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000_extended" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ProfitLoss_0" order="1.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ProfitLoss_0" order="2.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_ProfitLoss_0" order="3.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_0" order="4.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_FinanceIncomeCost_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_0" order="5.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_SellingGeneralAndAdministrativeExpense_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SellingGeneralAndAdministrativeExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_SellingGeneralAndAdministrativeExpense_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" order="6.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ResearchAndDevelopmentExpense_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ResearchAndDevelopmentExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ResearchAndDevelopmentExpense_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" order="7.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_Revenue_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" order="8.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CostOfSales_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CostOfSales_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" order="9.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherOperatingIncomeExpense_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherOperatingIncomeExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherOperatingIncomeExpense_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" order="10.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_FinanceIncome_0" weight="1" priority="0" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" order="11.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_FinanceCosts_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" order="12.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_0" weight="1" priority="0" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" order="13.0"/>
  </calculationLink>
  <calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000_extended" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLoss_1" weight="1" priority="0" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="1.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="2.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="3.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_0" weight="1" priority="0" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="4.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="5.0"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" weight="1" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="8.0"/>
    <loc xlink:type="locator" xlink:label="AutresEffetElementsDuResultatGlobalNonReclassesEnResultatNet" xlink:href="Legrand-2025-12-31.xsd#Legrand_AutresEffetElementsDuResultatGlobalNonReclassesEnResultatNet"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="AutresEffetElementsDuResultatGlobalNonReclassesEnResultatNet" weight="1" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" order="9.0"/>
  </calculationLink>
  <calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="ifrs-full_ComprehensiveIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_OtherComprehensiveIncome" weight="1" xlink:from="ifrs-full_ComprehensiveIncome" order="1.0"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_ProfitLoss" weight="1" xlink:from="ifrs-full_ComprehensiveIncome" order="2.0"/>
  </calculationLink>
  <calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-510000_extended" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_0" weight="1" priority="0" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" order="1.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" order="2.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" order="3.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" order="4.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_3" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLoss_3" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="5.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="6.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="7.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="8.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="9.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsForNoncashItems"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="10.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="11.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="12.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="13.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForInterestExpense_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForInterestExpense_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="14.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForIncreaseDecreaseInotherNonCurrentAssetsAndLiabilities_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForIncreaseDecreaseInotherNonCurrentAssetsAndLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForIncreaseDecreaseInotherNonCurrentAssetsAndLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="15.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForIncreaseDecreaseInOtherOperatingAssetsAndLiabilities_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForIncreaseDecreaseInOtherOperatingAssetsAndLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForIncreaseDecreaseInOtherOperatingAssetsAndLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="16.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfCapitalizedDevelopmentCosts_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForDepreciationAndAmortisationOfCapitalizedDevelopmentCosts"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfCapitalizedDevelopmentCosts_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="17.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfRightOfUseAssets_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForDepreciationAndAmortisationOfRightOfUseAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfRightOfUseAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="18.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfTangibleAssets_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForDepreciationAndAmortisationOfTangibleAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfTangibleAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="19.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfIntangibleAssets_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForDepreciationAndAmortisationOfIntangibleAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForDepreciationAndAmortisationOfIntangibleAssets_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="20.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_AdjustmentsForDeferredTaxesReversingInTheLongTerm_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_AdjustmentsForDeferredTaxesReversingInTheLongTerm"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_AdjustmentsForDeferredTaxesReversingInTheLongTerm_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" order="21.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" order="22.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_CashFlowsUsedInCapitalizedDevelopmentCosts_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_CashFlowsUsedInCapitalizedDevelopmentCosts"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_CashFlowsUsedInCapitalizedDevelopmentCosts_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" order="25.0"/>
    <loc xlink:type="locator" xlink:label="loc_Legrand_CashFlowsFromUsedInNonCurrentFinancialAssetsAndLiabilities_0" xlink:href="Legrand-2025-12-31.xsd#Legrand_CashFlowsFromUsedInNonCurrentFinancialAssetsAndLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_Legrand_CashFlowsFromUsedInNonCurrentFinancialAssetsAndLiabilities_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" order="26.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="27.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromIssuingShares_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromIssuingShares"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProceedsFromIssuingShares_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="28.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="29.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="30.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="31.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings_0" weight="1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="35.0"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsForDebtIssueCosts_0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsForDebtIssueCosts"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_PaymentsForDebtIssueCosts_0" weight="-1" priority="0" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="34.0"/>
    <loc xlink:type="locator" xlink:label="CessionActifsImmobilises" xlink:href="Legrand-2025-12-31.xsd#Legrand_CessionActifsImmobilises"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="CessionActifsImmobilises" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" order="36.0"/>
    <loc xlink:type="locator" xlink:label="AcquisitionActifsImmobilises" xlink:href="Legrand-2025-12-31.xsd#Legrand_AcquisitionActifsImmobilises"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="AcquisitionActifsImmobilises" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" order="37.0"/>
    <loc xlink:type="locator" xlink:label="RemboursementDesFinancementsLongTerme" xlink:href="Legrand-2025-12-31.xsd#Legrand_RemboursementDesFinancementsLongTerme"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="RemboursementDesFinancementsLongTerme" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="33.0"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_ProceedsFromNoncurrentBorrowings" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromNoncurrentBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_ProceedsFromNoncurrentBorrowings" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" order="32.0"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.legrandgroup.com/role/StatementOfComprehensiveIncome" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="ifrs-full_ComprehensiveIncomexx" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" weight="1" xlink:from="ifrs-full_ComprehensiveIncomexx" order="2.0"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" weight="1" xlink:from="ifrs-full_ComprehensiveIncomexx" order="3.0"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.legrandgroup.com/role/IncomeStatement" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_ProfitLossAttributableToNoncontrollingInterests" weight="1" xlink:from="ifrs-full_ProfitLoss" order="1.0"/>
    <loc xlink:type="locator" xlink:label="ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:to="ifrs-full_ProfitLossAttributableToOwnersOfParent" weight="1" xlink:from="ifrs-full_ProfitLoss" order="2.0"/>
  </calculationLink>
</linkbase>